<?php

class Device {

    /**
     * @param $parameterName
     * @param $parameters
     * @throws BadRequestException
     */
    public static function require($parameterName, $parameters){
        if(!isset($parameters[$parameterName])){
            throw new BadRequestException(get_called_class().': Parameter '.$parameterName.' is required');
        }
    }

    //Override these with a device-specific name
    const USERNAME='device_api';
    const USERFULLNAME='Device API';

    public static function getUsername(){
        return static::USERNAME;
    }

    public static function getUserFullName(){
        return static::USERFULLNAME;
    }

    public static function getSharedProjectId(){
        $project=project::getByName(project::SHARED);
        if(!$project){ throw new ServerException('No project called "'.project::SHARED.'"'); }
        return $project['id'];
    }

    public static function getDefaultProjectId(){
        $project=project::getByName(project::DEFAULTPROJECT);
        if(!$project){ throw new ServerException('No project called "'.project::DEFAULTPROJECT.'"'); }
        return $project['id'];
    }

}